Subject: [Dcrup] AD review of draft-ietf-dcrup-dkim-crypto-09

From: Alexey Melnikov <[email-masked]>
Date: Tue, 29 May 2018 09:40:38 +0100

This is a short document, so I've started IETF LC on it.

I have some nits though:

Abstract

   This document adds a new signing algorithm to DKIM.

This is a bit short, as it doesn't give a reader enough details to decide whether or not to read further. Please mention the added algorithm!

3.  Ed25519-SHA256 Signing Algorithm

   The ed25519-sha256 signing algorithm computes a message hash as
   defined in section 3 of [RFC6376] using SHA-256 [FIPS-180-4-2015] as
   the hash-alg, and signs it with the PureEDdSA variant Ed25519, as
   defined in in RFC 8032 section 5.1 [RFC8032].  Example keys and
   signatures in Appendix XX below are based on the test vectors in RFC

Appendix XX --> Appendix A.

   8032 section 7.1 [RFC8032].

[RFC3447] doesn't need to be normative, as it is only used in the following sentence:

 The defining documents specify a single signing
   algorithm, RSA [RFC3447].

which is not a normative requirement and is just a statement of fact.

Best Regards,
Alexey

---

From: "John Levine" <[email-masked]>
Date: 29 May 2018 11:57:04 -0400

>This is a bit short, as it doesn't give a reader enough details to decide whether or not to read further. Please mention the added algorithm!

How about this:

   This document adds a new signing algorithm, ed25519-sha256, to DKIM.
   DKIM verifiers are required to implemenent this algorithm.

Other nits are fine, will fix them once we agree on the abstract.

R's,
John

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 29 May 2018 17:16:46 +0100

On Tue, May 29, 2018, at 4:57 PM, John Levine wrote:
> In article 
> <[email-masked]> you 
> write:

Yes, I think this is perfect!

---

From: "John Levine" <[email-masked]>
Date: 29 May 2018 19:32:16 -0400

>This is a short document, so I've started IETF LC on it.

Fixed in -10.

R's,
John